OD(1)

NAME
od - dump files in octal and other formats

SYNOPSIS
od [OPTION]... [FILE]...
od [-abcdfilosx]... [FILE] [[+]OFFSET[.][b]]
od --traditional [OPTION]... [FILE] [[+]OFFSET[.][b] [+][LABEL][.][b]]

DESCRIPTION

Write an unambiguous representation, octal bytes by default, of FILE to standard output. With more than one FILE argument, concatenate them in the listed order to form the input.

With no FILE, or when FILE is -, read standard input.

If first and second call formats both apply, the second format is assumed if the last operand begins with + or (if there are 2 operands) a digit. An OFFSET operand means -j OFFSET. LABEL is the pseudo-address at first byte printed, incremented when dump is progressing. For OFFSET and LABEL, a 0x or 0X prefix indicates hexadecimal; suffixes may be . for octal and b for multiply by 512.

Mandatory arguments to long options are mandatory for short options too.

-A, --address-radix=RADIX
    output format for file offsets; RADIX is one of [doxn], for Decimal, Octal, Hex or None

--endian={big|little}
    swap input bytes according the specified order

-j, --skip-bytes=BYTES
    skip BYTES input bytes first

-N, --read-bytes=BYTES
    limit dump to BYTES input bytes

-S BYTES, --strings[=BYTES]
    output strings of at least BYTES graphic chars; 3 is implied when BYTES is not specified

-t, --format=TYPE
    select output format or formats

-v, --output-duplicates
    do not use * to mark line suppression

-w[BYTES], --width[=BYTES]
    output BYTES bytes per output line; 32 is implied when BYTES is not specified

--traditional
    accept arguments in third form above

--help
    display this help and exit

--version
    output version information and exit

  Traditional format specifications may be intermixed; they accumulate:

-a  same as -t a, select named characters, ignoring high-order bit

-b  same as -t o1, select octal bytes

-c  same as -t c, select printable characters or backslash escapes

-d  same as -t u2, select unsigned decimal 2-byte units

-f  same as -t fF, select floats

-i  same as -t dI, select decimal ints

-l  same as -t dL, select decimal longs

-o  same as -t o2, select octal 2-byte units

-s  same as -t d2, select decimal 2-byte units

-x  same as -t x2, select hexadecimal 2-byte units

  TYPE is made up of one or more of these specifications:

a   named character, ignoring high-order bit

c   printable character or backslash escape

d[SIZE]
    signed decimal, SIZE bytes per integer

f[SIZE]
    floating point, SIZE bytes per integer

o[SIZE]
    octal, SIZE bytes per integer

u[SIZE]
    unsigned decimal, SIZE bytes per integer

x[SIZE]
    hexadecimal, SIZE bytes per integer

SIZE is a number. For TYPE in [doux], SIZE may also be C for sizeof(char), S for sizeof(short), I for sizeof(int) or L for sizeof(long). If TYPE is f, SIZE may also be F for sizeof(float), D for sizeof(double) or L for sizeof(long double).

Adding a z suffix to any type displays printable characters at the end of each output line.

  BYTES is hex with 0x or 0X prefix, and may have a multiplier suffix:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

and so on for G, T, P, E, Z, Y.

EXAMPLES

od -A x -t x1z -v
    Display hexdump format output

od -A o -t oS -w16
    The default output format used by od

AUTHOR
Written by Jim Meyering.

REPORTING BUGS
GNU coreutils online help: <http://www.gnu.org/software/coreutils/>
Report od translation bugs to <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2016 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
Full documentation at: <http://www.gnu.org/software/coreutils/od>
or available locally via: info '(coreutils) od invocation'